### A free/open-source library for quantitative finance

NullPayoff Class Reference

Dummy payoff class. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for NullPayoff:
[legend]

List of all members.

## Public Member Functions

Payoff interface
std::string | name () const
std::string | description () const
Real | operator() (Real price) const
virtual void | accept (AcyclicVisitor &)

## Detailed Description

Dummy payoff class.

## Member Function Documentation

std::string name | ( |  | ) | const`[virtual]`

Warning:
  This method is used for output and comparison between payoffs. It is not meant to be used for writing switch-on-type code.

Implements Payoff.